<bugID>1225466<Summary>Several issues with Edge migration on newer builds of Windows 10</Summary><Description>- Reproducible on: Firefox 45.0a1 (2015-11-16), Firefox 44.0a2 (2015-11-16) and Firefox 43 beta 4 under latest insider windows version 1511 (OS Build 10586.0)
- This issue is not reproducible using the release version of Windows 10.0 (Build 10240)

STR
1.Run Firefox for the first time or remove the profiles folder.
2.Select Edge from the "Import Settings and Data" window and click on &#8220;Next&#8221; button.
3.Press "Next" and then &#8220;Finish&#8221; buttons.
4.Check the imported bookmarks, reading list items, browsing history, passwords, cookies and the Browser Console.

ER
Firefox has all the other browser's bookmark, login data, reading list items, browsing history and cookies imported.

AR
[1] Browsing history and reading list items are not imported.
[2] The recently deleted bookmarks are still imported.
[3] The following errors are thrown in browser console.

Error reading typed URL history: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIWindowsRegKey.open]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource:///modules/MSMigrationUtils.jsm :: getTypedURLs :: line 722"  data: no] MSMigrationUtils.jsm:763:0
Get a connection to permissions.sqlite.
DB table(moz_perms) is created!
While creating services from category 'profile-after-change', service for entry 'Sapi Speech Synth', contract ID '@mozilla.org/synthsapi;1' does not implement nsIObserver.
Unable to get item: 1168 MSMigrationUtils.jsm:861:0
some passwords did not successfully migrate.
dbPath is not defined MSMigrationUtils.jsm:490:0
some bookmarks did not successfully migrate.


Additional notes:
- This issue is reproducible on Firefox 45.0a1 (2015-11-16), Firefox 44.0a2 (2015-11-16) and Firefox 43 Beta 4 (20151116155110) under Windows 10 64-bit insider windows version 1511 (OS Build 10586.0)</Description></bugID>